View Issue Details

IDProjectCategoryView StatusLast Update
0001307SymmetricDSImprovementpublic2014-02-02 20:53
ReporterabrougherAssigned Toabrougher 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.0Fixed in Version3.5.0 
Summary0001307: Allow users to insert custom trigger text in the Symmetric triggers.
DescriptionMySQL and Sybase ASE only allow one trigger per action type and time. Allowing users to insert custom trigger text allows users to combine their own triggers with the required SymmetricDS triggers.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 5d380602

2013-07-02 10:30:56

abrougher

Details Diff
0001307: Allow users to insert custom trigger text in the Symmetric triggers.
0001307
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master 954f2dca

2013-07-03 08:04:45

abrougher

Details Diff
0001307: Allow users to insert custom trigger text in the Symmetric triggers.

Add support for Sybase ASE.

0001307
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

SymmetricDS: master 91e04ba1

2013-07-03 11:15:02

abrougher

Details Diff
0001307: Allow users to insert custom trigger text in the Symmetric triggers.

Add support for H2.

0001307
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2TriggerTemplate.java Diff File

SymmetricDS: master 43cb57b3

2013-07-03 12:14:55

abrougher

Details Diff
0001307: Allow users to insert custom trigger text in the Symmetric triggers.

Add support for all remaining dialects.

0001307
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbyTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql2000/MsSql2000TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/GreenplumTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlanywhere/SqlAnywhereTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File

SymmetricDS: master 3be08065

2013-07-08 20:16:22

chenson

Details Diff
0001307: Revert
0001307
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbyTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbTriggerTemplate.java Diff File

SymmetricDS: master 613fd872

2013-07-08 20:17:37

chenson

Details Diff
0001307: Revert
0001307
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master c7672be5

2013-07-08 21:04:24

chenson

Details Diff
0001307: Revert
0001307
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbyTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2013-07-02 10:25 abrougher New Issue
2013-07-02 10:25 abrougher Status new => assigned
2013-07-02 10:25 abrougher Assigned To => abrougher
2013-07-08 14:11 abrougher Status assigned => resolved
2013-07-08 14:11 abrougher Resolution open => fixed
2013-07-08 14:12 abrougher Project SymmetricDS Pro => SymmetricDS
2013-07-22 17:53 chenson Fixed in Version => 3.5.0
2013-07-22 17:53 chenson Status resolved => closed
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7475
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7482
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7489
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7490
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7504
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7505
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7506
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c7672be5
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 613fd872
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3be08065
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 43cb57b3
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 91e04ba1
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 954f2dca
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 5d380602